> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /Investments/Delete

> Specific endpoint to delete both Investments and Banking Data.

<Warning>
  The Investments product will be retired on April 30, 2026. New integrations are not supported, and existing integrations will stop working after this date.
</Warning>

Specific endpoint to delete both Investments and Banking Data.


## OpenAPI

````yaml DELETE /v3/{customerId}/Investments/Delete/{loginId}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instanceWealth}-api.private.fin.ag
    description: Flinks Wealth API
    variables:
      instanceWealth:
        default: toolbox-wealth
        description: The environment instance (e.g., toolbox-wealth, sandbox-wealth)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/Investments/Delete/{loginId}:
    delete:
      tags:
        - Wealth
      summary: Delete Investments
      description: Specific endpoint to delete both Investments and Banking Data.
      operationId: deleteInvestments
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 1d43ba20-72da-4c6a-9621-30bdb1362f6b
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment specified in the instance field. By default, the value
            is the key for the toolbox environment.
        - name: loginId
          in: path
          required: true
          schema:
            type: string
          description: >-
            A unique identifier that represents the login information for the
            customer that you want to delete data for.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  Message:
                    type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  Title:
                    type: string
                  Message:
                    type: string
                  HttpStatusCode:
                    type: integer
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  Title:
                    type: string
                  Message:
                    type: string
                  HttpStatusCode:
                    type: integer
      deprecated: true

````